Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkShepardMethod Class Reference

`#include <vtkShepardMethod.h>`

Inheritance diagram for vtkShepardMethod:

[legend]
Collaboration diagram for vtkShepardMethod:

[legend]
List of all members.

## Detailed Description

sample unstructured points onto structured points using the method of Shepard

Date:
  2002/06/17 20:25:55

Revision:
  1.38

vtkShepardMethod is a filter used to visualize unstructured point data using Shepard's method. The method works by resampling the unstructured points onto a structured points set. The influence functions are described as "inverse distance weighted". Once the structured points are computed, the usual visualization techniques (e.g., iso-contouring or volume rendering) can be used visualize the structured points.

Warning:
  The input to this filter is any dataset type. This filter can be used to resample any form of data, i.e., the input data need not be unstructured.

Warning:
  The bounds of the data (i.e., the sample space) is automatically computed if not set by the user.

Warning:
  If you use a maximum distance less than 1.0, some output points may never receive a contribution. The final value of these points can be specified with the "NullValue" instance variable.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (65%)
  - Martin, Ken (15%)
  - Lorensen, Bill (9%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkShepardMethod.h)`
  - .`cxx` (`/Imaging/vtkShepardMethod.cxx)`

Tests:
  vtkShepardMethod (Tests)

Definition at line 63 of file vtkShepardMethod.h.

## Public Types
typedef vtkDataSetToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
float | ComputeModelBounds (float origin[3], float ar[3])
void | SetSampleDimensions (int i, int j, int k)
void | SetSampleDimensions (int dim[3])
virtual int * | GetSampleDimensions ()
virtual void | GetSampleDimensions (int data[3])
virtual void | SetMaximumDistance (float)
virtual float | GetMaximumDistance ()
virtual void | SetModelBounds (float, float, float, float, float, float)
virtual void | SetModelBounds (float[6])
virtual float * | GetModelBounds ()
virtual void | GetModelBounds (float data[6])
virtual void | SetNullValue (float)
virtual float | GetNullValue ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkShepardMethod * | SafeDownCast (vtkObject *o)
vtkShepardMethod * | New ()
## Protected Methods
| vtkShepardMethod ()
| ~vtkShepardMethod ()
virtual void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *)
## Protected Attributes
int | SampleDimensions [3]
float | MaximumDistance
float | ModelBounds [6]
float | NullValue

## Member Typedef Documentation

typedef vtkDataSetToImageFilter vtkShepardMethod::Superclass

| Reimplemented from vtkDataSetToImageFilter. Definition at line 66 of file vtkShepardMethod.h.

## Constructor & Destructor Documentation

vtkShepardMethod::vtkShepardMethod | ( |  | ) | `[protected]`

vtkShepardMethod::~vtkShepardMethod | ( |  | ) | `[inline, protected]`

| Definition at line 113 of file vtkShepardMethod.h.

## Member Function Documentation

virtual const char* vtkShepardMethod::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToImageFilter.

int vtkShepardMethod::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToImageFilter.

virtual int vtkShepardMethod::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToImageFilter.

vtkShepardMethod* vtkShepardMethod::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToImageFilter.

void vtkShepardMethod::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToImageFilter.

vtkShepardMethod* vtkShepardMethod::New | ( |  | ) | `[static]`

| Construct with sample dimensions=(50,50,50) and so that model bounds are automatically computed from input. Null value for each unvisited output point is 0.0. Maximum distance is 0.25. Reimplemented from vtkObject.

float vtkShepardMethod::ComputeModelBounds | ( | float | origin[3],
|  | float | ar[3]
| ) |

| Compute ModelBounds from input geometry.

virtual int* vtkShepardMethod::GetSampleDimensions | ( |  | ) | `[virtual]`

| Specify i-j-k dimensions on which to sample input points.

virtual void vtkShepardMethod::GetSampleDimensions | ( | int | data[3] | ) | `[virtual]`

| Specify i-j-k dimensions on which to sample input points.

void vtkShepardMethod::SetSampleDimensions | ( | int | i,
|  | int | j,
|  | int | k
| ) |

| Set the i-j-k dimensions on which to sample the distance function.

void vtkShepardMethod::SetSampleDimensions | ( | int | dim[3] | ) |

| Set the i-j-k dimensions on which to sample the distance function.

virtual void vtkShepardMethod::SetMaximumDistance | ( | float |  | ) | `[virtual]`

| Specify influence distance of each input point. This distance is a fraction of the length of the diagonal of the sample space. Thus, values of 1.0 will cause each input point to influence all points in the structured point dataset. Values less than 1.0 can improve performance significantly.

virtual float vtkShepardMethod::GetMaximumDistance | ( |  | ) | `[virtual]`

| Specify influence distance of each input point. This distance is a fraction of the length of the diagonal of the sample space. Thus, values of 1.0 will cause each input point to influence all points in the structured point dataset. Values less than 1.0 can improve performance significantly.

virtual void vtkShepardMethod::SetModelBounds | ( | float | ,
|  | float | ,
|  | float | ,
|  | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Specify the position in space to perform the sampling.

virtual void vtkShepardMethod::SetModelBounds | ( | float | [6] | ) | `[virtual]`

| Specify the position in space to perform the sampling.

virtual float* vtkShepardMethod::GetModelBounds | ( |  | ) | `[virtual]`

| Specify the position in space to perform the sampling.

virtual void vtkShepardMethod::GetModelBounds | ( | float | data[6] | ) | `[virtual]`

| Specify the position in space to perform the sampling.

virtual void vtkShepardMethod::SetNullValue | ( | float |  | ) | `[virtual]`

| Set the Null value for output points not receiving a contribution from the input points.

virtual float vtkShepardMethod::GetNullValue | ( |  | ) | `[virtual]`

| Set the Null value for output points not receiving a contribution from the input points.

virtual void vtkShepardMethod::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

virtual void vtkShepardMethod::ExecuteData | ( | vtkDataObject * |  | ) | `[protected, virtual]`

## Member Data Documentation

int vtkShepardMethod::SampleDimensions[3]`[protected]`

| Definition at line 118 of file vtkShepardMethod.h.

float vtkShepardMethod::MaximumDistance`[protected]`

| Definition at line 119 of file vtkShepardMethod.h.

float vtkShepardMethod::ModelBounds[6]`[protected]`

| Definition at line 120 of file vtkShepardMethod.h.

float vtkShepardMethod::NullValue`[protected]`

| Definition at line 121 of file vtkShepardMethod.h.

The documentation for this class was generated from the following file:

- Imaging/vtkShepardMethod.h